curl --request GET \
--url https://qa-lynx.nayax.com/operational/v1/cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://qa-lynx.nayax.com/operational/v1/cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://qa-lynx.nayax.com/operational/v1/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"CardDetails": {
"CardID": 123,
"ActorID": 123,
"CardUniqueIdentifier": "<string>",
"CardDisplayNumber": "<string>",
"CardTypeID": 123,
"PhysicalTypeID": 123,
"Notes": "<string>",
"Status": 123,
"ExternalApplicationUserID": "<string>",
"CreatedBy": 123,
"CreatedDT": "2023-11-07T05:31:56Z",
"UpdatedBy": 123,
"UpdatedDT": "2023-11-07T05:31:56Z"
},
"CardHolderDetails": {
"CardHolderName": "<string>",
"UserIdentity": "<string>",
"CountryID": 123,
"MobileNumber": "<string>",
"Email": "<string>",
"MemberTypeID": 123,
"ImageUrl": "<string>"
},
"CardCreditAttributes": {
"CurrencyID": 123,
"Credit": 123,
"RevalueCredit": 123,
"CreditTypeMoneyBit": true,
"CreditAccumulateBit": true,
"CreditSingleUseBit": true,
"RevalueCashBit": true,
"RevalueCreditCardBit": true,
"AmountMonthlyReload": 123,
"TransactionsMonthlyReload": 123,
"DiscountTypeBit": 123,
"DiscountValue": 123
},
"CardCreditLimits": {
"AmountDailyLimit": 123,
"AmountWeeklyLimit": 123,
"TransactionsDailyLimit": 123,
"TransactionsWeeklyLimit": 123,
"AmountMonthlyLimit": 123,
"TransactionsMonthlyLimit": 123,
"DiscountTransactionsTotalLimit": 123,
"MaxRevalueAmountLimit": 123,
"WeekDayLimitEnabledBit": true,
"WeekDayAmountLimit": "<string>",
"WeekDayTransactionLimit": "<string>"
},
"CardDateRules": {
"ActivationDate": "2023-11-07T05:31:56Z",
"ExpirationDate": "2023-11-07T05:31:56Z",
"RevalueExpirationDate": "2023-11-07T05:31:56Z",
"SetSingleUseDate": "2023-11-07T05:31:56Z",
"RemoveSingleUseDate": "2023-11-07T05:31:56Z"
},
"CardCreditUsage": {
"AmountDailyUsage": 123,
"AmountWeeklyUsage": 123,
"TransactionsDailyUsage": 123,
"TransactionsWeeklyUsage": 123,
"AmountMonthlyUsage": 123,
"TransactionsMonthlyUsage": 123,
"AmountTotalUsage": 123,
"TransactionsTotalUsage": 123,
"AmountCapture": 123,
"TransactionsCapture": 123,
"CaptureDate": "2023-11-07T05:31:56Z"
},
"CardRevalueRewardRules": [
{
"RuleID": 123,
"RewardActorID": 123,
"Status": true,
"RevalueAmount": 123,
"RewardValueTypeBit": true,
"RewardValue": 123,
"UpdatedDT": "2023-11-07T05:31:56Z",
"UpdatedBy": 123
}
],
"GroupLocationLimits": [
{
"CardGroupEnabledBit": true,
"GroupName": "<string>",
"CardGroupId": 123,
"GroupDailyLimit": 123,
"UpdatedBy": 123,
"LastUpdated": "2023-11-07T05:31:56Z"
}
]
}
]Get Cards
Retrieves card details based on various query parameters.
Authorizations
Enter your Bearer token. It's required to authenticate API requests.
Query Parameters
The unique identifier of the card.
The unique identifier assigned to the card.
The display number of the card.
The mobile number associated with the card.
The external application user ID associated with the card.
The email address associated with the card.
The name of the cardholder.
Response
Card details retrieved successfully.
Detailed information about the card.
Show child attributes
Show child attributes
Information about the cardholder.
Show child attributes
Show child attributes
Credit attributes associated with the card.
Show child attributes
Show child attributes
Credit limits associated with the card.
Show child attributes
Show child attributes
Date-related rules applied to the card.
Show child attributes
Show child attributes
Information on the credit usage of the card.
Show child attributes
Show child attributes
A list of revalue reward rules associated with the card.
Show child attributes
Show child attributes
A list of location limits associated with the card's group.
Show child attributes
Show child attributes
Was this page helpful?